Saxon 9.7 Transformer Issues

Problem

I have upgraded to Oxygen XML Developer version 19.0 (which comes bundled with Saxon 9.7) and I am experiencing issues when trying to use the Saxon 9.7 transformer. Is it possible to use the Saxon 9.6 transformer with Oxygen XML Developer version 19.0 or later?

Solution

There is a plugin available that can be installed and it allows you to use Saxon 9.6. To install it, follow these instructions:
  1. Go to Help > Install new add-ons to open an add-on selection dialog box.
  2. Select the default update site from the drop-down menu (http://www.oxygenxml.com/InstData/Addons/default/updateSite.xml).
  3. Select the Saxon 9.6 XSLT and XQuery Transformer plugin and click Next.
  4. Select the I accept all terms of the end user license agreement option and click Finish.
  5. Restart the application.

Result: When you configure the transformation scenario, you will now have the option to choose the Saxon 9.6 transformer.